<app-loading *ngIf="loading"></app-loading>
<div class="content-header">
  <mb-button mbButtonSize="MEDIUM" mbButtonText="{{'modelOrganization.label.uploadData' | translate}}"
             (click)= "showUpload(footerTmplUploadFile)"
             mbButtonType="NO_BORDER" mbButtonAvailableStyle="BtnCancelHasBorder">
  </mb-button>
  <mb-button *ngIf="objFunction?.create" mbButtonType="NO_BORDER" mbButtonSize="LARGE" [mbIsDisable]="loading"
             mbButtonText="{{'common.button.add' | translate}}" mbButtonAvailableStyle="PRIMARY" (click)="showModal()">
  </mb-button>
</div>

<div class="search">
  <div nz-row class="main-job-card__row">
    <div nz-col nzSpan="6" class="main-job-card__left position-relative">
<!--      <mb-select [mbDataSelects]="listLookupCode" mbKeyLabel="description" mbKeyValue="id" (mbSelect)="onChangeCategory($event)"-->
<!--                 mbLabelText="{{'modelOrganization.label.typeCategory' | translate}}" mbPlaceholder="{{'modelOrganization.placeHoder.typeCategory' | translate}}"-->
<!--                 [(ngModel)]="categoryParam.lcoIds">-->
<!--      </mb-select>-->
      <mb-select-check-able [mbDataSelects]="listLookupCode" mbKeyLabel="lcoDesc" mbKeyValue="lcoId"
                            (mbSelect)="onChangeCategory($event)"
                            mbLabelText="{{'modelOrganization.label.typeCategory' | translate}}"
                            mbPlaceholder="{{'modelOrganization.placeHoder.typeCategory' | translate}}" mbType="default"
                            [mbShowAction]="false" (mbEventEmit)='onChangeCategory($event)' [(ngModel)]="categoryParam.lcoIds"></mb-select-check-able>
    </div>

    <div nz-col nzSpan="6" class="main-job-card__right">
      <mb-input-text [(ngModel)]="categoryParam.lvaMean" mbType="default" [mbMaxLength]="250" [defaultInput]="true"
                     mbPlaceholderText="{{ 'modelOrganization.placeHoder.categoryValue' | translate }}"
                     mbLabelText="{{ 'modelOrganization.label.categoryValue' | translate }}">
      </mb-input-text>
    </div>
    <div nz-col nzSpan="6" class="main-job-card__center">
      <mb-select [mbDataSelects]="listManageCategory" mbKeyLabel="parentMean" mbKeyValue="childId"
                 [mbDisable]='categoryParam.lcoIds.length > 1'
                 mbLabelText="{{'modelOrganization.label.manageCategory' | translate}}" mbPlaceholder="{{'modelOrganization.placeHoder.manageCategory' | translate}}"
                 [(ngModel)]="categoryParam.childId">
      </mb-select>
    </div>

    <div nz-col nzSpan="6" class="main-job-card__left">
      <mb-select [mbDataSelects]="listStatus" mbKeyLabel="name" mbKeyValue="value"
                 mbLabelText="{{'modelOrganization.label.status' | translate}}"
                 mbPlaceholder="{{ 'modelOrganization.placeHoder.typeStatus' | translate }}"
                 [(ngModel)]="categoryParam.flagStatus"></mb-select>
    </div>
    <div nz-col nzSpan="6" class="main-job-card__left mt-20">
      <mb-date-picker mbFormat="dd/MM/yyyy"
                      mbLabelText="{{'modelOrganization.label.startDate' | translate}}" [(ngModel)]="categoryParam.fromDate">
      </mb-date-picker>
    </div>
    <div nz-col nzSpan="6" class="main-job-card__left mt-20">
      <mb-date-picker mbFormat="dd/MM/yyyy"
                      mbLabelText="{{'modelOrganization.label.endDate' | translate}}" [(ngModel)]="categoryParam.toDate">
      </mb-date-picker>
    </div>
  </div>
  <div class="main-job-card__button-search">
    <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='SEARCH'
               mbButtonText="{{'common.button.search' | translate}}" (click)="search()">
    </mb-button>
    <mb-button *ngIf="objFunction?.export"  mbButtonType="BORDER" mbButtonSize="VERY_LARGE" (click)="exportCategory()">
      <img src="../../../../../assets/images/icon/excel.svg" alt="" />
    </mb-button>
  </div>
</div>

<div class=" table-container ant-table-content">
  <nz-table [nzData]="dataTable" [nzFrontPagination]="false" #rowSelectionTable [nzShowPagination]="false"
            nzTableLayout="fixed" [nzScroll]="dataTable?.length > 0 ? {y: '350px' } : {}">
    <thead>
    <tr>
      <th scope="col" class="text-center" nzWidth="4%" nzLeft>{{'modelOrganization.table.stt' | translate}}</th>
      <th scope="col" nzWidth="18%" nzLeft>{{'modelOrganization.table.typeCategory' | translate}}</th>
      <th scope="col" nzWidth="16%">{{'modelOrganization.table.manageCategory' | translate}}</th>
      <th scope="col" nzWidth="16%">{{'modelOrganization.table.attCategory' | translate}}
      </th>
      <th scope="col" nzWidth="8%">{{'modelOrganization.label.startDate' | translate}}
      </th>
      <th scope="col" nzWidth="6%">{{'modelOrganization.label.endDate' | translate}}
      </th>
      <th scope="col" nzWidth="6%" class="text-center">{{'modelOrganization.positionGroup.status' | translate}}
      </th>
      <th scope="col" nzWidth="6%"></th>
    </tr>
    </thead>
    <tbody>
    <tr *ngFor="let data of dataTable, let i = index, trackBy:trackByFn">
      <td nzLeft (click)="showModal(data)" class="text-center">{{getIndex(i)}}</td>
      <td nzLeft (click)="showModal(data)" class="text-ellipsis" nz-tooltip [nzTooltipTitle]="data.lcoDesc">{{data.lcoDesc}}</td>
      <td (click)="showModal(data)" class="text-ellipsis" nz-tooltip [nzTooltipTitle]="data.parentMean">{{data.parentMean}}</td>
      <td (click)="showModal(data)">{{data.lvaMean}}</td>
      <td (click)="showModal(data)">{{data.fromDate}}</td>
      <td (click)="showModal(data)">{{data.toDate}}</td>
      <td (click)="showModal(data)">
        <div class="center-status">
          <nz-tag [class]="renderFlagStatus(data.flagStatus).class">
            {{renderFlagStatus(data.flagStatus).text}}
          </nz-tag>
        </div>
      </td>
      <td nzRight>
        <div class="action">
          <mb-button *ngIf="objFunction?.delete" mbButtonAvailableStyle='CONTENT' (click)="showModal(data)">
            <img src="assets/images/icon/edit.png" alt='edit' width="18" height="18" >
          </mb-button>
          <mb-button *ngIf="objFunction?.delete" mbButtonAvailableStyle='CONTENT' (click)="deletePositionGroup(data.lvaId)">
            <img src="../../../../../assets/images/icon/delete-icon.svg" alt='delete'>
          </mb-button>
        </div>
      </td>
    </tr>
    </tbody>
  </nz-table>
  <div class="pagination" *ngIf="pagination.totalElements > 0">
    <div class="pagination__table-info">
      <img alt="" class="pagination__table-info--icon" src="assets/images/icon/idea.svg">
      <span class="pagination__table-info--text">{{'modelOrganization.paging.find' | translate}}
        {{pagination.result}} {{'modelOrganization.paging.result' | translate}} {{pagination.min}}
        {{'modelOrganization.paging.to' | translate}} {{pagination.max}}
      </span>
    </div>
    <nz-pagination [(nzPageIndex)]="pagination.currentPage" [nzTotal]="pagination.totalElements"
                   [nzPageSize]="pagination.size" (nzPageIndexChange)="changePage()" class="pagination__icon">
    </nz-pagination>
  </div>
</div>
<ng-template #footerTmplUploadFile>
  <section class="flex-footer__uploadfile">
    <mb-button (click)="modalRef.getContentComponent().save()" mbButtonAvailableStyle="PRIMARY" mbButtonSize="VERY_LARGE"
               mbButtonText="{{'common.button.uploadFile' | translate}}"
               mbButtonType="NO_BORDER"></mb-button>
    <mb-button (click)="modalRef.destroy()"
               *ngIf="objFunction?.view" class="flex-footer__uploadfile--button-left"
               mbButtonAvailableStyle="BtnCancelHasBorder" mbButtonText="{{'common.button.cancel' | translate}}"></mb-button>
  </section>
</ng-template>
